Bug 1303119 - 'pcs cluster cleanup' returns non-zero after couple of iterations [NEEDINFO]
'pcs cluster cleanup' returns non-zero after couple of iterations
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pacemaker (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ken Gaillot
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 10:41 EST by michal novacek
Modified: 2017-10-09 15:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-09 15:48:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kgaillot: needinfo? (mnovacek)


Attachments (Terms of Use)
pcs cluster report output (1.21 MB, application/x-bzip)
2016-01-29 10:41 EST, michal novacek
no flags Details
pcs cluster cib (40.01 KB, text/plain)
2016-01-29 10:42 EST, michal novacek
no flags Details
pcs cluster config (4.70 KB, text/plain)
2016-01-29 10:42 EST, michal novacek
no flags Details

  None (edit)
Description michal novacek 2016-01-29 10:41:27 EST
Created attachment 1119455 [details]
pcs cluster report output

Description of problem:

I'm having a running cluster with no constraints and no resources. 
I run in iteration create cluster (and constraints), start all resources, run
pcs cleanup, remove all resources. After several (usally tenths) of iteration
'cleanup' returns error.

Version-Release number of selected component (if applicable):
pacemaker-1.1.14-0.4_rc5.el6.x86_64
pcs-0.9.148-1.el6.x86_64

How reproducible: needs about 20 iterations to happen

Steps to Reproduce:
1. run several tenths of iterations of the regression test we use

Actual results: 'pcs resource cleanup --wait' returns non-zero

Expected results: 'pcs resource cleanup --wait' returns zero

Additional info:
I was not able to isolate the exact commands necessary but it is happening
always with our regression (python) tests. I was hoping that you might be able
to have a look in the logs I'm attaching to see whether you can find out why
this is happening.
Comment 1 michal novacek 2016-01-29 10:42 EST
Created attachment 1119456 [details]
pcs cluster cib
Comment 2 michal novacek 2016-01-29 10:42 EST
Created attachment 1119457 [details]
pcs cluster config
Comment 4 Ken Gaillot 2016-02-08 12:52:56 EST
Michal,

Some questions to help target what's going on:

Do your scripts run "pcs cleanup" without a specific resource name?

Do you have any timestamps from when the cleanup returned nonzero?

Do you know the exact value that was returned?

Do you know whether this occurs on other RHEL versions?
Comment 5 Ken Gaillot 2016-09-26 17:24:29 EDT
Michal,

We have a fairly short time frame to get any fixes into 6.9. We will do a rebase to upstream 1.1.15 for 6.9, which fixes a number of bugs. If you can answer any of the questions in Comment 4, we can investigate further, otherwise we'll have to close this one.
Comment 8 Ken Gaillot 2017-10-09 15:48:13 EDT
Since RHEL 6 is beyond the "Production 2" phase and will only get critical bug fixes, I am closing this without a fix. However, there have been rebases since this report, so it may no longer be an issue.

Note You need to log in before you can comment on or make changes to this bug.